/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/GUIForms/JFrame.java to edit this template
 */
package it.unibas.digitalFileControl.views;

import it.unibas.digitalFileControl.Application;
import java.awt.event.KeyEvent;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.JScrollPane;

/**
 *
 * @author Gabriele D
 */
public class ViewFrame extends javax.swing.JFrame {

    /**
     * Creates new form ViewFrame
     */
    public ViewFrame() {
        
    }
    
    public void init() {
        initComponents();
        initActions();
        this.pack();
        this.setContentPane(new JScrollPane(Application.getInstance().getPrincipalPanel()));
        this.setLocationRelativeTo(null);
        this.setVisible(false);
    }
    
    public void showFrame() {
        Application.getInstance().getPrincipalPanel().fillSharedWithMeTable();
        Application.getInstance().getPrincipalPanel().fillMySharedTable();
        Application.getInstance().getPrincipalPanel().setLoggedUserData();
        Application.getInstance().getPrincipalPanel().resetMenuTabs();
        this.setVisible(true);
    }
    
    public void hideFrame() {
        this.setVisible(false);
    }
    
    private void initActions() {
        this.menuItemLogout.setAction(Application.getInstance().getMenuControl().getLogoutAction());
        this.menuItemExit.setAction(Application.getInstance().getMenuControl().getExitAction());
        this.menuItemInfo.setAction(Application.getInstance().getMenuControl().getShowProjectInfoAction());
    }
    
    public void setContentPane(JPanel panel) {
        this.setContentPane(new JScrollPane(panel));
    }
    
    public void showErrorMessage(String errore) {
        JOptionPane.showMessageDialog(this, errore, "Errore", JOptionPane.ERROR_MESSAGE);
    }

    public void showInfoMessage(String messaggio) {
        JOptionPane.showMessageDialog(this, messaggio, "Attenzione", JOptionPane.INFORMATION_MESSAGE);
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jMenuBar1 = new javax.swing.JMenuBar();
        jMenu1 = new javax.swing.JMenu();
        menuItemLogout = new javax.swing.JMenuItem();
        menuItemExit = new javax.swing.JMenuItem();
        menuInfo = new javax.swing.JMenu();
        menuItemInfo = new javax.swing.JMenuItem();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("Digital File Control");
        setResizable(false);

        jMenu1.setText("File");

        menuItemLogout.setText("jMenuItem1");
        jMenu1.add(menuItemLogout);

        menuItemExit.setText("File");
        menuItemExit.setActionCommand("Esci");
        menuItemExit.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuItemExitActionPerformed(evt);
            }
        });
        jMenu1.add(menuItemExit);

        jMenuBar1.add(jMenu1);

        menuInfo.setText("?");

        menuItemInfo.setText("Info");
        menuInfo.add(menuItemInfo);

        jMenuBar1.add(menuInfo);

        setJMenuBar(jMenuBar1);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 974, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 641, Short.MAX_VALUE)
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void menuItemExitActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_menuItemExitActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_menuItemExitActionPerformed

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JMenu jMenu1;
    private javax.swing.JMenuBar jMenuBar1;
    private javax.swing.JMenu menuInfo;
    private javax.swing.JMenuItem menuItemExit;
    private javax.swing.JMenuItem menuItemInfo;
    private javax.swing.JMenuItem menuItemLogout;
    // End of variables declaration//GEN-END:variables
}
